       #Version Commente du fichier fib.s
       # les numero de registre on t replac par leur nom:
       #par exemple $2 remplac par $v0 
       .file       1 "fib.c"
       .text
       .align       2
       .globl       fib
       .ent       fib
fib:
       .frame       $fp,40,$ra       # vars= 8, regs= 3/0, args= 16, extra= 0
       .mask       0xc0010000,-8
       .fmask       0x00000000,0
       subu       $sp,$sp,40        # SP <- SP-40 :AR de 40 octet (10 mots)
       sw       $ra,32($sp)         # stocke adresse retour SP+32
       sw       $fp,28($sp)         # stocke ARP appelant SP+28
       sw       $s0,24($sp)         # sauvegarde registre $s0 
       move       $fp,$sp           # ARP <- SP
       sw       $a0,40($fp)         # stocke Arg1 dans la pile (ARP+40)
       lw       $v0,40($fp)         # charge Arg1 dans $v0
       slt       $v0,$v0,2          # $v0 <- 1 si $v0<2 0 sinon
       beq       $v0,$0,$L2         # branch L2 si $v0==0
       li       $v0,1               # $v0 <- 0x1 ($v0 sera le registre contenant le  res)
       sw       $v0,16($fp)         # stocke le resultat dans la pile
       j       $L1                  # saute  L1
$L2:
       lw       $v0,40($fp)         # charge Arg1 dans $v0
       addu       $v0,$v0,-1        # retranche 1
       move       $a0,$v0           # $a0 <- $v0 ($a0 contient Arg1 pour l'appel recursif)
       jal       fib                 # jump and link fib ($ra<-next instr)
       move       $s0,$v0            # $s0 <- $v0 ($v0: res appel fib)
       lw       $v0,40($fp)          # charge Arg1 dans $v0
       addu       $v0,$v0,-2         # retranche 2
       move       $a0,$v0            # $a0 <- $v0 ($a0: contient Arg1 pour l'appel recursif)
       jal       fib                 # jump and link fib ($ra<-next instr)
       addu       $s0,$s0,$v0        # $s0 <- $s0+$v0 ($v0: res appel fib)
       sw       $s0,16($fp)          # stocke le resultat dans la pile
$L1:
       lw       $v0,16($fp)         # $v0 <- resultat
       move       $sp,$fp           # SP <- ARP
       lw       $ra,32($sp)         # $ra <- adresse retour
       lw       $fp,28($sp)         # ARP <- ARP appelant
       lw       $s0,24($sp)         # restaure $s0
       addu       $sp,$sp,40        # SP->SP+40
       j       $ra                  # jump adresse retour
       .end       fib
       .align       2
       .globl       main
       .ent       main
main:
       .frame       $fp,24,$ra      # vars= 0, regs= 2/0, args= 16, extra= 0
       .mask       0xc0000000,-4
       .fmask       0x00000000,0
       subu       $sp,$sp,24     # SP <- SP-24 :AR de 24 octet (6 mots)
       sw       $ra,20($sp)      # stocke adresse retour SP+20
       sw       $fp,16($sp)      # stocke ARP appelant SP+16
       move       $fp,$sp        # ARP <- SP
       sw       $a0,24($fp)      # stocke Arg1 dans la pile (ARP+24)
       sw       $5,28($fp)       # stocke Arg2 dans la pile (ARP+48)
       li       $a0,2            # $a0 <- 2 ($a0: Arg1)
       jal       fib             # jump and link fib ($ra<-next instr)
       move       $sp,$fp        # SP <- ARP
       lw       $ra,20($sp)      # $ra <- adresse retour
       lw       $fp,16($sp)      # ARP <- ARP appelant
       addu       $sp,$sp,24     # SP->SP+24
       j       $ra               # jump adresse retour
       .end       main
